# Ramps A Ramp is a time container to associate with rate plan charges in your subscription. Inside the Ramp, you can further define a set of Ramp Intervals (time-based periods) where products or pricing can change. These periods are sub time containers to enable you to report out-of-the-box metrics based on Ramp Intervals. **Notes**: You must have both the Ramps feature and Orders feature enabled for your tenant to use the Ramps operations. For more information, see Ramps and Ramp Metrics. ## Retrieve a ramp - [GET /v1/ramps/{rampNumber}](https://developer.zuora.com/v1-api-reference/api/ramps/get_rampbyrampnumber.md): Note: This operation is only available if you have the Ramps feature enabled. The Orders feature must be enabled before you can access the Ramps feature. The Ramps feature is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see Zuora Editions for pricing information coming October 2020. Retrieves the latest definition of a specified ramp. ## List all ramp metrics of a ramp - [GET /v1/ramps/{rampNumber}/ramp-metrics](https://developer.zuora.com/v1-api-reference/api/ramps/get_rampmetricsbyrampnumber.md): Note: This operation is only available if you have the Ramps feature enabled. The Orders feature must be enabled before you can access the Ramps feature. The Ramps feature is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see Zuora Editions for pricing information coming October 2020. Retrieves key metrics about a specified ramp, including the following metrics: * TCB, TCV in the Ramp level * TCB, TCV in the Interval level * TCB, TCV, Quantity, and MRR in Interval Metrics * Delta TCB, Delta TCV, Delta Quantity, and Delta MRR in Interval Delta Metrics See Key metrics for Ramps for more information. ## Retrieve a ramp by subscription key - [GET /v1/subscriptions/{subscriptionKey}/ramps](https://developer.zuora.com/v1-api-reference/api/ramps/get_rampsbysubscriptionkey.md): Note: This operation is only available if you have the Ramps feature enabled. The Orders feature must be enabled before you can access the Ramps feature. The Ramps feature is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see Zuora Editions for pricing information coming October 2020. Retrieves the definition of the ramp associated with a specified subscription. ## List ramp metrics by subscription key - [GET /v1/subscriptions/{subscriptionKey}/ramp-metrics](https://developer.zuora.com/v1-api-reference/api/ramps/get_rampmetricsbysubscriptionkey.md): Note: This operation is only available if you have the Ramps feature enabled. The Orders feature must be enabled before you can access the Ramps feature. The Ramps feature is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see Zuora Editions for pricing information coming October 2020. Retrieves key ramp metrics about a specified subscription, including the following metrics: * TCB, TCV in the Ramp level * TCB, TCV in the Interval level * TCB, TCV, Quantity, and MRR in Interval Metrics * Delta TCB, Delta TCV, Delta Quantity, and Delta MRR in Interval Delta Metrics See Key metrics for Ramps for more information. ## List ramp metrics by order number - [GET /v1/orders/{orderNumber}/ramp-metrics](https://developer.zuora.com/v1-api-reference/api/ramps/get_rampmetricsbyordernumber.md): Note: This operation is only available if you have the Ramps feature enabled. The Orders feature must be enabled before you can access the Ramps feature. The Ramps feature is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see Zuora Editions for pricing information coming October 2020. Retrieves key ramp metrics about a specified order, including the following metrics: * TCB, TCV in the Ramp level * TCB, TCV in the Interval level * TCB, TCV, Quantity, and MRR in Interval Metrics * Delta TCB, Delta TCV, Delta Quantity, and Delta MRR in Interval Delta Metrics See Key metrics for Ramps for more information.